Skip to main content
POST
/
v1
/
events
Submit an event
curl --request POST \
  --url https://api.done.app/v1/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "claim_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "<string>"
}
'
{
  "error": {
    "type": "invalid_request_error",
    "code": "VALIDATION_ERROR",
    "message": "<string>",
    "status": 400,
    "doc_url": "<string>",
    "details": [
      {
        "path": "<string>",
        "message": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API token. Create one from the dashboard.

Body

application/json

Event payload. claim_id and type are required; any additional fields are stored and returned as-is.

claim_id
string<uuid>
required

ID of the claim to submit the event to.

type
string
required

The event type string. Must match the event field in condition leaf nodes for the fulfillment condition to be satisfied.

Minimum string length: 1

Response

Event recorded